#!/bin/sh

SYSTEMCTL=0
if [ -f /usr/bin/systemctl ]
then
    SYSTEMCTL=1
fi
if [ -f /bin/systemd ]
then
    SYSTEMCTL=1
fi
if [ -f /usr/bin/systemd ]
then
    SYSTEMCTL=1
fi

instance=$(lsof -i | grep -e "radmin" -e "ESTABMISHED" | wc -l)
if [ $instance -eq 0 ]
then
  echo "Radmin tunnel seems to be down. Restarting Radmin"
  if [ $SYSTEMCTL -eq 1 ]
  then
    systemctl restart radmin
  else
    service radmin restart
  fi
fi